Gecode::ArrayTraits< VarArgArray< FloatVar > > Class Reference

Traits of FloatVarArgs. More...

`#include <array-traits.hpp>`

## Public Types

typedef FloatVarArgs | StorageType
typedef FloatVar | ValueType
typedef FloatVarArgs | ArgsType

## Detailed Description

Traits of FloatVarArgs.

Definition at line 44 of file array-traits.hpp.

## Member Typedef Documentation

## StorageType

typedef FloatVarArgs Gecode::ArrayTraits< VarArgArray< FloatVar > >::StorageType

Definition at line 46 of file array-traits.hpp.

## ValueType

typedef FloatVar Gecode::ArrayTraits< VarArgArray< FloatVar > >::ValueType

Definition at line 47 of file array-traits.hpp.

## ArgsType

typedef FloatVarArgs Gecode::ArrayTraits< VarArgArray< FloatVar > >::ArgsType

Definition at line 48 of file array-traits.hpp.

The documentation for this class was generated from the following file:

- gecode/float/array-traits.hpp